Distribution:	CCux
Packager:  	Karsten Brockmann <arcam@ccux-linux.de>

Summary:      	C++ bindings for libsexy
Name:      	libsexymm
Version:        0.1.9
Release:   	1
Provides:	libsexymm
License: 	GNU/GPL
URL:	  	http://www.chipx86.com/wiki/Libsexy
Group:     	System/Libraries
Source0: 	%{name}-%{version}.tar.gz
BuildRoot: 	%{_tmppath}/%{name}-buildroot
BuildRequires:  atk-devel
BuildRequires:  gtkmm-devel
BuildRequires:  glibc-devel
BuildRequires:  cairo-devel
BuildRequires:  cairomm-devel
BuildRequires:  gdk-pixbuf-devel
BuildRequires:  glib-devel
BuildRequires:  gtk2+-devel
BuildRequires:  pango-devel
BuildRequires:  libsexy-devel
BuildRequires:  libsigc++-devel
BuildRequires:  libstdc++-devel
BuildRequires:  libxml2-devel
BuildRequires:  zlib-devel

%description
C++ bindings for libsexy

%package        devel
Summary:        %{name} development headers.
Group:          %{group}
Requires:       %{name} = %{version}-%{release}

%description    devel
Header and include files for developing applications with %{name}.

%post
ldconfig

%postun
ldconfig

%prep
%setup -n %{name}-%{version}

%build
./configure --prefix=%_prefix 
make

%install
rm -rf $RPM_BUILD_ROOT
make install-strip DESTDIR=$RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%_libdir/*.so*

%files devel
%defattr(-,root,root)
%_libdir/libsexymm
%_includedir
%_pkgconfig
%_libdir/*.a
%_libdir/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Mon Aug 13 2007 Karsten Brockmann <arcam@ccux-linux.de> 0.1.9-1
- Initial Release
